ピクセル
GET https://qrcodemonkey.net/api/pixels/
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可される値はname , pixelです。 |
| type | オプション 文字列 | 許可される値: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、pixel_id , datetime , last_datetime , name です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | オプション 整数 | 必要なページ番号。デフォルトは1。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可される値は10 , 25 , 50 , 100 , 250 , 500 , 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-31 23:46:05",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/pixels?page=1",
"last": "https://qrcodemonkey.net/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/pixels?page=1"
}
}
GET https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-31 23:46:05",
}
}
POST https://qrcodemonkey.net/api/pixels
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | 必須 文字列 | 許可される値: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | 必須 文字列 | - |
| pixel | 必須 文字列 | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/pixels/{pixel_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション 文字列 | 許可される値: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | オプション 文字列 | - |
| pixel | オプション 文字列 | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \